: Class FakeComboBox

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.widgets
Class FakeComboBox

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--org.w3c.tools.widgets.FakeComboBox

public class FakeComboBox
extends java.awt.Panel
implements java.awt.event.ActionListener, java.awt.event.ItemListener

FakeComboBox :

See Also:
  Serialized Form

Field Summary
`protected ImageButton` | `button`
`protected org.w3c.tools.widgets.FakeComboBox.GoodList` | `list`
`protected int` | `listSize`
`protected java.awt.Panel` | `plist`
`protected java.awt.TextField` | `text`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`FakeComboBox(int size, int listSize, boolean editable, java.lang.String imagePath1, java.lang.String imagePath2)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` ActionListener
`void` | `add(java.lang.String item)`
`void` | `addActionListener(java.awt.event.ActionListener al)` Adds an action listener to this FakeComboBox
`protected void` | `fireActionEvent()` fire a new ActionEvent and process it, if some listeners are listening
`java.lang.String` | `getActionCommand()` Returns the action command String
`java.lang.String` | `getText()`
`protected void` | `hidePopup()`
`void` | `itemStateChanged(java.awt.event.ItemEvent e)`
`void` | `removeActionListener(java.awt.event.ActionListener al)` Removes an action listener to this FakeComboBox
`void` | `setActionCommand(java.lang.String command)` Sets the action command String used when an ActionEvent is fired
`void` | `setText(java.lang.String text)`
`protected void` | `showPopup()`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setCursor, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### text

    protected java.awt.TextField text

### button

    protected ImageButton button

### listSize

    protected int listSize

### list

    protected org.w3c.tools.widgets.FakeComboBox.GoodList list

### plist

    protected java.awt.Panel plist

Constructor Detail

### FakeComboBox

    public FakeComboBox(int size,
                        int listSize,
                        boolean editable,
                        java.lang.String imagePath1,
                        java.lang.String imagePath2)

Method Detail

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Specified by:
    itemStateChanged in interface java.awt.event.ItemListener

### setActionCommand

    public void setActionCommand(java.lang.String command)

  Sets the action command String used when an ActionEvent is fired
  Parameters:
    `command` - The command String

### getActionCommand

    public java.lang.String getActionCommand()

  Returns the action command String

### addActionListener

    public void addActionListener(java.awt.event.ActionListener al)

  Adds an action listener to this FakeComboBox
  Parameters:
    `al` - The ActionListener

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener al)

  Removes an action listener to this FakeComboBox
  Parameters:
    `al` - The ActionListener

### fireActionEvent

    protected void fireActionEvent()

  fire a new ActionEvent and process it, if some listeners are listening

### hidePopup

    protected void hidePopup()

### showPopup

    protected void showPopup()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  ActionListener
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener

### setText

    public void setText(java.lang.String text)

### getText

    public java.lang.String getText()

### add

    public void add(java.lang.String item)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD